SELECT Код_типа_соединителя INTO #TmpTable FROM Справочник_типов_соединителей
SET IDENTITY_INSERT Справочник_типов_соединителей ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 1) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (1,'САС-240-1',5274.73406537726,490,11.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 2) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (2,'САС-240-2',5274.73406537726,490,11.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 3) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (3,'САС-240-3',5274.73406537726,490,11.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 4) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (4,'САС-330-2',5563.76058950752,520,11.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 5) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (5,'САС-330-1',5563.76058950752,520,11.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 6) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (6,'САС-330-4',5563.76058950752,520,11.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 7) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (7,'САС-500-1',6832.9640215578,590,12.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 8) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (8,'САС-500-3',6832.9640215578,590,12.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 9) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (9,'САС-600-4',9424.77796076938,670,15)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 10) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (10,'САС-600-5',9424.77796076938,670,15)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 11) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (11,'САС-800-4',12390.4414257581,720,17)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 12) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (12,'САС-1200-4',10128.4947151735,770,13)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 13) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (13,'САСУС-70-1',6468.53927374138,370,14.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 14) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (14,'САСУС-95-1',7926.23826500705,390,14.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 15) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (15,'САСУС-185-1',6861.23835544011,510,13)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 16) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (16,'САСУС-300-1',9747.57660592573,420,15.75)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединителя = 17) INSERT INTO Справочник_типов_соединителей (Код_типа_соединителя,Описание,Сечение,Длина,Толщ_стенок) VALUES (17,'САСУС-500-1',11589.335299092,600,15.5)

SET IDENTITY_INSERT Справочник_типов_соединителей OFF
DROP TABLE #TmpTable
